clear all; clc; close all;
addpath([pwd,'\aux_codes\tables_2']);

% -------------------------------------------------------------------------
% Produce table values for fiscal multiplier problem evaluated with a
% horizon of 10,000 periods and probability = 5/6
% -------------------------------------------------------------------------

load vars_t10000_prob08333 %these results take a long time to run and can be computed from Main.m in '\aux_codes\tables_2

levels_loop = [1,2,5,10,20,30,40,50,100,200,500];

fprintf('\n ----------------- \n');
fprintf('\n Multiplier \n');
fprintf('\n ----------------- \n');
for j = 1:length(levels_loop)
    lev = levels_loop(j);
    val = round(multiplier(1,lev),4);
    fprintf(' \n value at level %g: %g \n', lev, val);
end
fprintf('\n ----------------- \n');
fprintf('\n Percentage of RE \n');
fprintf('\n ----------------- \n');
for j = 1:length(levels_loop)
    lev = levels_loop(j);
    val = round(multiplier(1,lev)/multiplier_RE(1,1)*100);
    fprintf(' \n percent of RE at level %g: %g \n', lev, val);
end

rmpath([pwd,'\aux_codes\tables_2_4']);
