close all;clear all;clc;
%----------------------------------------------------------------
% Run loop over dynare file to produce output from reversal model
%----------------------------------------------------------------

% add dynare path
addpath('I:\m1elb00\projects\Matthias');
dynare_path

% delay liftoff for the following periods
T_loop = [5:2:15];

% periods to save
T=20;
    
for j = 1:length(T_loop)

    delay = T_loop(j);
    
    write_file(delay)
    
    eval(['dynare reversal_delay.mod'])
    
    y{j}  = oo_.endo_simul(strmatch('x',M_.endo_names,'exact'),M_.maximum_lag+1:M_.maximum_lag+T);
    p{j}  = oo_.endo_simul(strmatch('pi_ann',M_.endo_names,'exact'),M_.maximum_lag+1:M_.maximum_lag+T);
    ii{j} = oo_.endo_simul(strmatch('i_ann',M_.endo_names,'exact'),M_.maximum_lag+1:M_.maximum_lag+T);
    tr{j} = oo_.endo_simul(strmatch('i_taylor',M_.endo_names,'exact'),M_.maximum_lag+1:M_.maximum_lag+T);

end

%----------------------------------------------------------------
% Plot Output
%----------------------------------------------------------------

T = 20;

%% Plot results
cmap = autumn(6);

FS = 20;

figure(1)
j = 1;
plot(y{1},'-*b'); axis tight; hold on;
for i = 1: 5
    plot(y{i+1},'-.','Color',cmap(i,:),'Linewidth',2); axis tight; hold on;
end
h = legend('Taylor','Location','SouthEast');set(h,'FontSize',FS);legend('boxoff');
h = title('Output Gap');set(h,'FontSize',FS);
xt = get(gca, 'XTick'); %change size of tick mark values
set(gca, 'FontSize', FS);
print('reversal_output_2','-depsc')

figure(2)
j = 1;
plot(p{1},'-*b'); axis tight; hold on;
for i = 1: 5
    plot(p{i+1},'-.','Color',cmap(i,:),'Linewidth',2); axis tight; hold on;
end
h = legend('Taylor','Location','SouthEast');set(h,'FontSize',FS);legend('boxoff');
h = title('Inflation');set(h,'FontSize',FS);
xt = get(gca, 'XTick'); %change size of tick mark values
set(gca, 'FontSize', FS);
print('reversal_infl_2','-depsc')

figure(3)
j = 1;
plot(ii{1}+4,'-*b'); axis tight; hold on;
for i = 1: 5
    plot(ii{i+1}+4,'-.','Color',cmap(i,:),'Linewidth',2); axis tight; hold on;
end
h = legend('Taylor','Location','SouthEast');set(h,'FontSize',FS);legend('boxoff');
h = title('Policy Rate');set(h,'FontSize',FS);
xt = get(gca, 'XTick'); %change size of tick mark values
set(gca, 'FontSize', FS);
print('reversal_intrate_2','-depsc')

