var pi x r_nat_ann pi_ann i_ann i_taylor r_nat ;     

varexo  u_nat ZLB_indicator; 

parameters    
        beta        
        sigma      
        phi_pi     
        phi_y      
        kappa
        i_fix  
        UD
        UDP
    ;

//----------------------------------------------------------------
// Parametrization
//----------------------------------------------------------------

sigma   = 1;
beta    = 0.99;
kappa   = 0.0255;
phi_pi  = 1.5;
phi_y   = 0.5;
i_fix   = -log(1/beta)*100; //-1;
UD      = 0;  // ueber discount rate placed on future output in euler equation
UDP     = 0;  // ueber discount rate in phillips curve

model; 

pi*(1+beta)  = pi(-1) + kappa*x + (1-UDP)*beta*pi(+1);

x = (1-UD)*x(+1) -1/sigma*(i_ann/4-pi(+1)-r_nat);

i_taylor = 4*(r_nat + phi_pi*pi + phi_y*x);

r_nat_ann = 4*r_nat;

pi_ann = 4*pi;

i_ann  = 4*max(i_fix*ZLB_indicator + (1-ZLB_indicator)*i_taylor/4, i_fix);

r_nat = 0.9*r_nat(-1) + u_nat;

end;

// set initial and terminal condition to steady state of non-ZLB period
initval;
r_nat         = 1;
i_taylor      = 1;
i_ann         = 4*i_taylor;
r_nat_ann     = 4*r_nat;
ZLB_indicator = 0;
end;

steady;

//define natural rate shock
shocks;
var u_nat;
   periods 1;
   values -1.5;
var ZLB_indicator;
   @#include "define_shocks.mod"
   values 1;
end;

perfect_foresight_setup(periods=500);
perfect_foresight_solver(lmmcp,tolf=1e-15,tolx=1e-15,maxit=200);


