function sol = fonc_OP(index,level,y,p,nr,m)
% -------------------------------------------------------------------------
% Declare and solve linear system of equations
% A_0*[y_t^k; pi_t^k] = [Cout*Bout; Cinf*Binf]
% -------------------------------------------------------------------------

global beta sigma kappa varphi T 

dummy=0;

A0 = [1 (1/sigma)*1.5*dummy;
      -kappa 1];
  
%% Find RHS of output equation

out_discounting = zeros(1,T-index);
out_expectation = zeros(T-index,1);
    
for s = 1:(T-index)
    out_discounting(s) = beta^s;
end
 
out_expectation(:) = (1-beta).*y((index+2):(T+1),level-1)-(1/sigma).*...
    (dummy*1.5*p((index+1):T,level-1)+m((index+1):T,1)-p((index+2):(T+1),level-1)-nr((index+1):T,1));

% obtain RHS from output eqn and infl eqn
out_rhs = (1-beta)*y(index+1,level-1)-(1/sigma)*(m(index,1)-p(index+1,level-1) - ...
    nr(index,1)) + out_discounting*out_expectation;

%% find RHS of inflation equation
infl_discounting = zeros(1,T-index);
infl_expectation = zeros(T-index,1);

for s = 1:(T-index)
    infl_discounting(s) = (beta*varphi)^s;
end

infl_expectation(:) = beta*(1-varphi)*p((index+2):T+1,level-1) + ...
    kappa*y((index+1):T,level-1);

% obtain RHS from output eqn and infl eqn
inf_rhs = beta*(1-varphi)*p(index+1,level-1) + infl_discounting*infl_expectation;

%% solve system
RHS = [out_rhs;
       inf_rhs];
   
sol = A0\RHS;

int_sol = dummy*1.5*sol(2) + m(index,1);

sol = [sol;int_sol];

end