function [A0,A1,A2,A3,rule,beta] = get_model


rule   = 6; % Taylor rule is 4th equation

sigma  = 1;
back   = 1;
rho_nr = 0.9;
beta   = 0.99;
theta  = 0.85;
kappa  = (1-theta)*(1-beta*theta)/theta;
kappa  = 0.0255;  
alpha  = kappa;

% Model is of the form:
% A0*Y_{t} = A1*Y_{t-1} + A2*Y_{t+1} + A3*V_{t}
 
% order of variables in vector Y_t (endogenous variables)
R    = 1;
y    = 2;  
pie  = 3; 
fd   = 4;
rer  = 5;
nr   = 6;
% order of variables in V_t (i.i.d shocks)
e_nr = 1;

dy = 6; 
dv = 1;

A0 = zeros(dy,dy);
A1 = zeros(dy,dy);
A2 = zeros(dy,dy);
A3 = zeros(dy,dv);

%1. pi = kappa*y + beta*pi(+1); // NKPC
A0(1,pie)   = 1+beta;
A0(1,y)     = -kappa;
A2(1,pie)   =  beta;
A1(1,pie)   =  back;

% 2. y = y(+1) -sigma*(R - pi(+1) -nr); // Household Euler
A0(2,y)    =  1;
A0(2,R)    =  sigma;
A2(2,y)    =  1;
A2(2,pie)  =  sigma;
A0(2,nr)   = -sigma;

% 3. nr = rho_a*nr(-1) + e_a; // natural rate shock
A0(3,nr)   = 1;
A1(3,nr)   = rho_nr;
A3(3,e_nr)  = 1;


% 3. 
A0(4,rer)  = 1;  
A0(4,R)    = -1;
A2(4,pie)  = -1;
A0(4,nr)   = 1;

A0(5,fd)  = 1;
A0(5,pie) = -1;
A1(5,pie) = -1;

% R = 1.5*pie + nr
A0(6,pie)  = -1.5;
A0(6,R)    =  1;
A0(6,nr)   = -1;

