function [AA0,AA1,AA2,AA3] = add_anticipated(A0,A1,A2,A3,h,rule)

% 0) Takes a model and adds h - recursions for anticipated disturbances
%----------------------------------------------------------------------
% DEV0 = DEV1(-1)+ e0;
% DEV1 = DEV2(-1)+ e1; ...
% 1) adds to Taylor rule something like:  R = 1.5*pie + e0 + DEV1(-1);
%---------------------------------------------------------------------

[dy,dv] = size(A3); 

AA0            = zeros(dy+h,dy+h);
AA3            = zeros(dy+h,dv+h);
AA1            = AA0;
AA2            = AA0;

AA1(1:dy,1:dy) = A1;
AA0(1:dy,1:dy) = A0;
AA2(1:dy,1:dy) = A2;
AA3(1:dy,1:dv) = A3;

AA1(rule,dy+2) =  1;  % this is DEV1(-1), 
AA3(rule,dv+1) =  1;  % this is e0


for j = 1:h-1;    
    % DEV{j+1}(-1) = DEV{j} - e{j+1};
    AA0(dy+j,dy+j)   = 1;
    AA1(dy+j,dy+j+1) = 1;
    AA3(dy+j,dv+j)   = 1;
end;

% last equation adds just the shock term
AA0(dy+h,dy+h) = 1;
AA3(dy+h,dv+h) = 1;
