function [A0,A1,A2,A3,rule,beta] = get_model

global UD
global UDP

rule   = 5; % Taylor rule is 4th equation

sigma  = 1;
back   = 0;  %1;
rho_nr = 0.9;
beta   = 0.99;
theta  = 0.85;
kappa  = (1-theta)*(1-beta*theta)/theta;
kappa  = 0.0255;  %0.0255;
alpha  = kappa;

% Model is of the form:
% A0*Y_{t} = A1*Y_{t-1} + A2*Y_{t+1} + A3*V_{t}
 
% order of variables in vector Y_t (endogenous variables)
R    = 1;
y    = 2;  
pie  = 3; 
rer  = 4;
nr   = 5;

% order of variables in V_t (i.i.d shocks)
e_nr = 1;

dy = 5; 
dv = 1;

A0 = zeros(dy,dy);
A1 = zeros(dy,dy);
A2 = zeros(dy,dy);
A3 = zeros(dy,dv);

%1. pi = kappa*y + beta*pi(+1); // NKPC
A0(1,pie)   = 1+0*beta;
A0(1,y)     = -kappa;
A2(1,pie)   =  beta*(1-UDP);
A1(1,pie)   =  0*back;

% 2. y = y(+1) -sigma*R  + sigma*pi(+1) + sigma*nr; // Household Euler
A0(2,y)    =  1;
A0(2,R)    =  sigma;
A2(2,y)    =  (1-UD)*1;
A2(2,pie)  =  sigma;
A0(2,nr)   = -sigma;

% 3. nr = rho_a*nr(-1) + e_a; // natural rate shock
A0(3,nr)   = 1;
A1(3,nr)   = rho_nr;
A3(3,e_nr) = 1;

% A0*Y_{t} = A1*Y_{t-1} + A2*Y_{t+1} + A3*V_{t}
A0(4,rer)  = 1;  
A0(4,R)    = -1;
A2(4,pie)  = -1;
A0(4,nr)   = 1;


% 5. R = 1.5*pie
A0(5,pie)  = -1.5;
A0(5,R)    =  1;
A0(5,nr)   = -1;
