function [IRFs,Welfare] = Generate_IRF(model,policy_type,vars,params,varargin)

%This function returns the IRFs corresponding to 'model' run under commitment
%or dicrection (policy_type), for variables given in vector vars (in
%corresponding order) and for a vector of parameters


switch policy_type
    case 'commitment'
        [IRFs,Welfare] = commitment(model,vars,params);
    case 'discretion'
        [IRFs,Welfare] = discretion(model,vars,params);
    case 'Taylor'
        [IRFs,Welfare] = Taylor(model,vars,params);
    case 'commitment_nbnd'
        [IRFs,Welfare] = commitment_nbnd(model,vars,params,varargin{1});
    case 'discretion_nbnd'
        [IRFs,Welfare] = discretion_nbnd(model,vars,params,varargin{1});
    case 'Taylor_nbnd'
        [IRFs,Welfare] = Taylor_nbnd(model,vars,params,varargin{1});
    otherwise 
        error('Wrong policy type specified!');
end
end