clear all; clc; close all;
%--------------------------------------------------------------------------
% Run delayed liftoff code under rational expectations and with level-k
% thinking. Then produce values for table used in paper
%--------------------------------------------------------------------------
Figure7
clc;

delay_loop = [2,4,8];
    
for loop = 1:length(delay_loop)

    delay_val = delay_loop(loop);

    delta_p = IRF_DL{delay_val}(2,1)-IRF_REE(2,1);
    delta_y = IRF_DL{delay_val}(1,1)-IRF_REE(1,1);
    
    levels_loop = [1,2,3,4,8];

    fprintf('\n --------------------------------------------------------- \n');
    fprintf('\n Delay = %g \n',delay_val);
    fprintf('\n --------------------------------------------------------- \n');

    fprintf('\n ----------------- \n');
    fprintf('\n Inflation \n');
    fprintf('\n ----------------- \n');
    for j = 1:length(levels_loop)
        lev = levels_loop(j);
        val = round(400*p_dl{delay_val}(2,lev+1)-400*IRF_REE(2,1),2);
        fprintf(' \n value at level %g: %g \n', lev, val);
    end


    fprintf('\n ----------------- \n');
    fprintf('\n Output\n ');
    fprintf('\n ----------------- \n');
    for j = 1:length(levels_loop)
        lev = levels_loop(j);
        val = round(100*y_dl{delay_val}(2,lev+1)-100*IRF_REE(1,1),2);
        fprintf(' \n value at level %g: %g \n', lev, val);
    end


end



