function [IRF_all] = fonc_RE

global beta omega sigma phi_pi phi_y varphi T ipeg kappa Tpeg


d=Tpeg+1;

if d == 6
   postfix = 'a';
elseif d == 8
   postfix = 'b';
end

% sigma = 1;
% beta  = 0.99;
% kappa = 0.025;

% interest rate fixed at what value? For how long?
%-------------------------------------------------
s  = 0;

% order of variables in vector y_t
y       = 1;  
pie     = 2; 
R       = 3;  


% Model is of the form:
% A0*Y_{t} = A1*Y_{t-1} + A2*Y_{t+1}
 
dy = 3; dx = 1; dv = 1;

A0 = zeros(dy,dy);
A1 = zeros(dy,dy);
A2 = zeros(dy,dy);


%1. *pi = kappa*y + beta*pi(+1) ; // NKPC
A0(1,pie) = 1;
A0(1,y)   = -kappa;
A2(1,pie) = beta;

% 2. y = y(+1) - 1/sigma*R  + 1/sigma*pi(+1) // Household Euler
A0(2,y)  =  1;
A0(2,R)  =  1/sigma;
A2(2,y)  =  1;
A2(2,pie)=  1/sigma;

% 3. R = phi_pi*pie + phi_y*y; // Taylor rule
A0(3,R)   = 1;
A0(3,pie) = -phi_pi;
A0(3,y)   = -phi_y;


% 3. solve model with stacked time approach
% -----------------------------------------
loc(1) = 3;
loc(2) = 3;

ss = repmat(s,d,1);
ss(d) = ipeg;
[Z,P,J] = solve_stacked(A0,A1,A2,d,loc,ss); 
IRF     = reshape(Z,dy,d);
IRF_all = IRF;


for j = 1:100
    IRF_all = [IRF_all,P^j*IRF(:,end)];
end

if any(IRF_all(3,:)<-0.01)
    fprintf('\n ZLB violated \n')
end

end



