function sol = fonc_real(index,level,y,p,nr,m)
% -------------------------------------------------------------------------
% Declare and solve linear system of equations
% A_0*[y_t^k; pi_t^k] = [Cout*Bout; Cinf*Binf]
% -------------------------------------------------------------------------

global beta  sigma phi_pi phi_y varphi T Tpeg ipeg kappa

%% Find RHS of output equation

out_discounting = zeros(1,T-index);
out_expectation = zeros(T-index,1);
int             = zeros(T-index,1);
    
for s = 1:(T-index)
    out_discounting(s) = beta^s;
end
 
if index <= (Tpeg)  %interest rate pegged at ipeg

    A0 = [1 0 1/sigma;
          -kappa 1 0;
          0 0 1];
 
    % interest rate pegged at 0 then ipeg
    int(1:(Tpeg-index),1)   = 0;
    int(Tpeg-index+1,1)       = ipeg;
    % interest rates for periods after the peg
    int((Tpeg-index+2):end,1) = m((Tpeg+2):(T),1)+phi_pi*p((Tpeg+2):(T),level-1)+...
        phi_y*y((Tpeg+2):(T),level-1);
        
    tr_rhs = 0;

elseif (index == (Tpeg+1))  % interest rate = neg shock

    A0 = [1 0 1/sigma;
          -kappa 1 0;
          0 0 1];

    int  = m((index+1):(T),1)+phi_pi*p((index+1):(T),level-1)+...
        phi_y*y((index+1):(T),level-1);

    tr_rhs = ipeg; 
   
elseif (index > (Tpeg+1))  %corresponds to t = Tpeg+2:infinity- interest rate returns to the rule

    A0 = [1 0 1/sigma;
          -kappa 1 0;
          -phi_pi -phi_y 1];
      
    int = m((index+1):(T),1)+phi_pi*p((index+1):(T),level-1)+...
        phi_y*y((index+1):(T),level-1);
    
    tr_rhs = m(index,1);
  
end

out_expectation(:) = (1-beta).*y((index+2):(T+1),level-1)-(1/sigma).*...
    (int- nr((index+1):T,1));

% obtain RHS from output eqn and infl eqn
out_rhs = (1-beta)*y(index+1,level-1)-(1/sigma)*(-nr(index,1)) + out_discounting*out_expectation;

%% find RHS of inflation equation
infl_discounting = zeros(1,T-index);
infl_expectation = zeros(T-index,1);

for s = 1:(T-index)
    infl_discounting(s) = (beta*varphi)^s;
end

infl_expectation(:) = 0; 

% obtain RHS from output eqn and infl eqn
inf_rhs = + infl_discounting*infl_expectation;

%% solve system
% RHS = [out_rhs;
%        inf_rhs;
%        tr_rhs];
   
sol = out_rhs;

end